%define major		0
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		aribb25
Version:	0.2.7
Release:	%mkrel 3
Summary:	Basic implementation of the ARIB STD-B25 public standard
Group:		System/Libraries
License:	ISC License
URL:		https://code.videolan.org/videolan/aribb25
Source0:	https://download.videolan.org/pub/videolan/aribb25/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gcc
BuildRequires:	pkgconfig(libpcsclite)

%description
Basic implementation of the ARIB STD-B25 public standard.

#------------------------------------------------

%package -n	%{libname}
Summary:	Basic implementation of the ARIB STD-B25 public standard
Group:		System/Libraries

%description -n	%{libname}
Basic implementation of the ARIB STD-B25 public standard.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

%build
%configure --disable-static
%make_build LIBS='-lpcsclite'

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/%{name}/

%files -n %{libname}
%license LICENCE
%doc README.md README.jp.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md README.jp.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.7-3.mga10
+ Revision: 2212304
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.2.7-2.mga9
+ Revision: 1832254
- Mageia 9 Mass Rebuild

* Tue Jun 23 2020 daviddavid <daviddavid> 0.2.7-1.mga8
+ Revision: 1598592
- initial package aribb25

